Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 800125 - app-text/ghostscript-gpl-9.54.0 - Fatal error: cant create obj/extract_alloc.o: No such file or directory (maybe parallel build issue ?)
Summary: app-text/ghostscript-gpl-9.54.0 - Fatal error: cant create obj/extract_alloc....
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Codec Project
URL:
Whiteboard:
Keywords:
: 809929 810295 814917 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-07-03 06:10 UTC by Toralf Förster
Modified: 2021-10-27 07:33 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.01 KB, text/plain)
2021-07-03 06:10 UTC, Toralf Förster
Details
app-text:ghostscript-gpl-9.54.0:20210703-005141.log.bz2 (app-text:ghostscript-gpl-9.54.0:20210703-005141.log.bz2,55.65 KB, application/x-bzip)
2021-07-03 06:10 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,49.08 KB, text/plain)
2021-07-03 06:10 UTC, Toralf Förster
Details
environment (environment,87.78 KB, text/plain)
2021-07-03 06:10 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,14.94 KB, application/x-bzip)
2021-07-03 06:10 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,19.38 KB, application/x-bzip)
2021-07-03 06:10 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,80.56 KB, application/x-bzip)
2021-07-03 06:10 UTC, Toralf Förster
Details
build.log + emerge --info.txt (build.log-emerge-info.txt.xz,53.84 KB, application/x-xz)
2021-09-25 02:47 UTC, Ionen Wolkens
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-07-03 06:10:10 UTC
make -f Makefile so-subtarget BUILDDIRPREFIX=so
Assembler messages:
Fatal error: can't create obj/extract_alloc.o: No such file or directory
make: *** [devices/extract.mak:5: obj/extract_alloc.o] Error 2
make: *** Waiting for unfinished jobs....
make[1]: Entering directory '/var/tmp/portage/app-text/ghostscript-gpl-9.54.0/work/ghostscript-9.54.0'
make -f Makefile GS_DOT_O= REALMAIN_OBJ= GS_XE=./sobin/libgs.so.9.54 GPCL_XE=./sobin/libno_gpcl6.so.9.54 GXPS_XE=./sobin/libno_gxps.so.9.54 GPDL_XE=./sobin/libno_gpdl.so.9.54 DISPLAY_DEV=./soobj/display.dev BUILDDIRPREFIX=so GENOPT='' LDFLAGS='-Wl,-O1 -Wl,--as-needed -Wl,--defsym=__gentoo_check_ldflags__=0  '\

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1-j3-20210702-091244

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-11.1.0 *
/usr/lib/llvm/12
12.0.0
Python 3.9.6
Available Ruby profiles:
  [1]   ruby26 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.53.0 *
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.292_p10 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.10.4
  HEAD of ::gentoo
commit 2eb48bc48857694cad1cf010eb3ecc8f332ee8f5
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Fri Jul 2 22:36:27 2021 +0000

    2021-07-02 22:36:25 UTC

emerge -qpvO app-text/ghostscript-gpl
[ebuild  N    ] app-text/ghostscript-gpl-9.54.0  USE="jpeg2k (unicode) -X -cups -dbus -gtk -static-libs" L10N="-de (-ja) -ko -zh-CN -zh-TW"
Comment 1 Toralf Förster gentoo-dev 2021-07-03 06:10:11 UTC
Created attachment 721159 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-07-03 06:10:12 UTC
Created attachment 721163 [details]
app-text:ghostscript-gpl-9.54.0:20210703-005141.log.bz2
Comment 3 Toralf Förster gentoo-dev 2021-07-03 06:10:14 UTC
Created attachment 721165 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2021-07-03 06:10:15 UTC
Created attachment 721167 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2021-07-03 06:10:16 UTC
Created attachment 721169 [details]
etc.portage.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2021-07-03 06:10:17 UTC
Created attachment 721173 [details]
logs.tar.bz2
Comment 7 Toralf Förster gentoo-dev 2021-07-03 06:10:19 UTC
Created attachment 721175 [details]
temp.tar.bz2
Comment 8 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-08-28 18:10:46 UTC
*** Bug 810295 has been marked as a duplicate of this bug. ***
Comment 9 Thomas Deutschmann gentoo-dev 2021-08-29 23:39:29 UTC
I cannot reproduce. Are you able to reproduce all the time? I wonder if this is a parallel build issue. Can you try with MAKEOPTS=-j1?
Comment 10 Toralf Förster gentoo-dev 2021-08-30 20:24:45 UTC
(In reply to Thomas Deutschmann from comment #9)
> I cannot reproduce. Are you able to reproduce all the time? I wonder if this
> is a parallel build issue. Can you try with MAKEOPTS=-j1?

It cannot be reproduced and builds fine here at various images with -j4.

Will change the title.
Comment 11 Toralf Förster gentoo-dev 2021-09-04 07:49:07 UTC
happened here again at ~/img/17.1_desktop_plasma_systemd-j4-20210903-200003 - so pbly a parallel build issue
Comment 12 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-09-13 00:50:20 UTC
*** Bug 809929 has been marked as a duplicate of this bug. ***
Comment 13 Joonas Niilola gentoo-dev 2021-09-13 11:19:10 UTC
^ It seemed random to me too. I've managed to build 3 binpkgs with different USE flags so I haven't triggered this in a while.
Comment 14 Toralf Förster gentoo-dev 2021-09-13 11:21:00 UTC
(In reply to Joonas Niilola from comment #13)
> ^ It seemed random to me too. I've managed to build 3 binpkgs with different
> USE flags so I haven't triggered this in a while.

here it happened again yesterday at an image
Comment 15 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-09-15 06:03:01 UTC
I'm inclined to just force -j1 for now if nobody has any ideas and given a new release is coming up shortly.

Could somebody report it upstream who can reproduce this?
Comment 16 Thomas Deutschmann gentoo-dev 2021-09-16 11:58:16 UTC
I hit this today by myself during world upgrade on my Gentoo notebook. Still unable to force it in dev environment.
Comment 17 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-09-18 04:20:39 UTC
(In reply to Thomas Deutschmann from comment #16)
> I hit this today by myself during world upgrade on my Gentoo notebook. Still
> unable to force it in dev environment.

Do you think you could try the 9.55.0 RC (not in tree)?
Comment 18 Toralf Förster gentoo-dev 2021-09-18 09:48:15 UTC
It is repeating but not 100% reproducible even at the same image.
SO I do bet that the load of the system plays an important role.

IMO a lack in the make process but hard to tell for me, where.
Comment 19 Rolf Eike Beer archtester 2021-09-20 15:17:08 UTC
I have hit this twice on hppa during my tatt runs:

USE='X -cups dbus -gtk jpeg2k l10n_de l10n_ko l10n_zh-CN -l10n_zh-TW -static-libs' failed for =app-text/ghostscript-gpl-9.54.0-r1
 USE='X -cups dbus gtk -jpeg2k -l10n_de -l10n_ko -l10n_zh-CN l10n_zh-TW static-libs' failed for =app-text/ghostscript-gpl-9.54.0-r1
Comment 20 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-09-21 19:00:38 UTC
Speaking to upstream about this (they were extremely helpful). Got a candidate patch: https://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=4874418fd031617212336b8b55f8fcba3b9cfb68#patch1.

Going to add it given it seems right and we want to move forward with stabling for the security bug. Will drop it if it causes issues.
Comment 21 Larry the Git Cow gentoo-dev 2021-09-21 19:02:30 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b7805f02f359138edf4384f2b7df317bfc27e3cb

commit b7805f02f359138edf4384f2b7df317bfc27e3cb
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-09-21 19:01:50 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-09-21 19:02:14 +0000

    app-text/ghostscript-gpl: add parallel build patch to 9.54.0-r1
    
    Bug: https://bugs.gentoo.org/800125
    Signed-off-by: Sam James <sam@gentoo.org>

 .../ghostscript-gpl-9.54.0-makefile-deps.patch     | 110 +++++++++++++++++++++
 .../ghostscript-gpl-9.54.0-r1.ebuild               |   2 +
 2 files changed, 112 insertions(+)
Comment 22 Joonas Niilola gentoo-dev 2021-09-22 16:15:02 UTC
Don't think I've ever been able to reproduce when emerging ghostscript-gpl alone, but when it's a dep amongst other deps being pulled and installed, then it historically has failed. 

Tried to break the installation few times today, tried under stress, pulling as a dep few times, straight up build it 20 times with pkg-testing-tools. But couldn't reproduce anymore.
Comment 23 Ionen Wolkens gentoo-dev 2021-09-25 02:47:26 UTC
Created attachment 741176 [details]
build.log + emerge --info.txt

I've ran into this three times despite patch, and so did a forum user[1]

Three cases were on extract_docx_template.o, and one on extract_astring.o

[1] https://forums.gentoo.org/viewtopic-t-1142930.html
Comment 24 Larry the Git Cow gentoo-dev 2021-09-25 03:05:35 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2cb90af63cbe0372a74eaee522915bf75fe63641

commit 2cb90af63cbe0372a74eaee522915bf75fe63641
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-09-25 03:04:40 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-09-25 03:04:40 +0000

    app-text/ghostscript-gpl: force -j1 for now in 9.54.0
    
    Pending investigation upstream but it's not obvious
    to users what to do. Especially important given
    the vulnerability fixed that users are able to build
    the new one.
    
    Bug: https://bugs.gentoo.org/800125
    Signed-off-by: Sam James <sam@gentoo.org>

 app-text/ghostscript-gpl/ghostscript-gpl-9.54.0-r1.ebuild | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)
Comment 25 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-09-26 03:38:51 UTC
*** Bug 814917 has been marked as a duplicate of this bug. ***
Comment 26 Larry the Git Cow gentoo-dev 2021-09-28 02:50:18 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=655a62e570746ba83e8fbadd977d58ae608984ba

commit 655a62e570746ba83e8fbadd977d58ae608984ba
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-09-28 02:49:56 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-09-28 02:49:56 +0000

    app-text/ghostscript-gpl: add more upstream parallel build patches to 94.0-r1
    
    Bug: https://bugs.gentoo.org/800125
    Signed-off-by: Sam James <sam@gentoo.org>

 .../ghostscript-gpl-9.54.0-makefile-deps-2.patch   | 96 ++++++++++++++++++++++
 .../ghostscript-gpl-9.54.0-makefile-deps.patch     |  2 +
 .../ghostscript-gpl-9.54.0-r1.ebuild               |  7 +-
 3 files changed, 101 insertions(+), 4 deletions(-)
Comment 27 Ionen Wolkens gentoo-dev 2021-09-28 06:34:16 UTC
I gave it the same stress test as last time for an extended period, and I can't get it to fail anymore. Fairly confident it's fixed.

My thanks to upstream for for the patches.